Subject: bug#16959: bug#16981: 24.3.50; electric-pair-delete-adjacent-pairs broken in c-mode, python-mode, maybe-others

From: Florian Beck <[email-masked]>
Date: Tue, 25 Mar 2014 18:38:30 +0100

Looks very nice now. Thank you.

>>  - depth: clarify what happens when you have several pieces of ":override"
>> or ":around" advice that doesn't call the original function at the depth 0.
>
> I tried to clarify the notion of depth by spelling out what it means
> for :after, :before and :override.

The depth metaphor actually works pretty well.
The use case I had in mind was this: (1) Someone defines a :override
advice. (2) There already is an :override advice. (3) Neither advice
specifies depth, so it defaults to 0.

The result is that the advice SEEMS to work (the user put it in her
.emacs and presses C-x C-e), but on restarting emacs it depends on the
order advice defintions.

>
>> Advising named functions:
>>  - "Macros can also be advised": this doesn't work when the macro is used
>> in a compiled function.
>
> Of course it works.  The restriction is that the macro needs to be
> advised before it is expanded.  I spelled it out now.

Of course, from a user's point of view, macros usually are already expanded.

How would a user go about advising, say, byte-compile-log in her .emacs?

-- 
Florian Beck